import type { QuestionHint, QuestionVariant, QuizQuestionBase, QuestionBranchingRule } from "./shared";

export interface QuizQuestionImages extends QuizQuestionBase {
  type: "images";
  content: {
    id: string;
    /** Чекбокс "Вариант "свой ответ"" */
    own: boolean;
    /** Чекбокс "Можно несколько" */
    multi: boolean;
    /** Пропорции */
    xy: "1:1" | "1:2" | "2:1";
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    /** Чекбокс "Большие картинки" */
    large: boolean;
    /** Форма */
    format: "carousel" | "masonry";
    /** Чекбокс "Необязательный вопрос" */
    required: boolean;
    /** Варианты (картинки) */
    variants: QuestionVariant[];
    hint: QuestionHint;
    rule: QuestionBranchingRule;
    back: string | null;
    originalBack: string | null;
    autofill: boolean;
    largeCheck: boolean;
    ownPlaceholder?: string;
    isLargeCheck?: boolean;
  };
}
