import type { QuizQuestionBase, QuestionVariant, QuestionHint, QuestionBranchingRule } from "./shared";

export interface QuizQuestionVariant extends QuizQuestionBase {
  type: "variant";
  content: {
    id: string;
    /** Чекбокс "Длинный текстовый ответ" */
    largeCheck: boolean;
    /** Чекбокс "Можно несколько" */
    multi: boolean;
    /** Чекбокс "Вариант "свой ответ"" */
    own: boolean;
    /** Чекбокс "Внутреннее название вопроса" */
    innerNameCheck: boolean;
    /** Чекбокс "Необязательный вопрос" */
    required: boolean;
    /** Поле "Внутреннее название вопроса" */
    innerName: string;
    /** Варианты ответов */
    variants: QuestionVariant[];
    hint: QuestionHint;
    rule: QuestionBranchingRule;
    back: string | null;
    originalBack: string | null;
    autofill: boolean;
    ownPlaceholder?: string;
  };
}
