export interface BannerWidgetComponentProps {
  quizId: string;
  position: "topleft" | "topright" | "bottomleft" | "bottomright";
  onWidgetClose?: () => void;
  dialogDimensions?: { width: string; height: string };
  appealText?: string;
  quizHeaderText?: string;
  buttonTextColor?: string;
  buttonBackgroundColor?: string;
  /**
   * Показывать виджет через X секунд
   */
  autoShowWidgetTime?: number;
  /**
   * Открыть квиз через X секунд, 0 - сразу, null - не открывать
   */
  autoShowQuizTime?: number | null;
  openOnLeaveAttempt?: boolean;
  buttonFlash?: boolean;
  hideOnMobile?: boolean;
  withShadow?: boolean;
  rounded?: boolean;
  bannerFullWidth?: boolean;
  pulsation?: boolean;
  fullScreen?: boolean;
}

export type BannerWidgetParams = Omit<BannerWidgetComponentProps, "onWidgetClose">;
